import 'package:adeptarch_base/src/dao/super_dao.dart';
import 'package:adeptutils/adeptutils.dart';
import 'package:adeptarch_base/src/filters/filters.dart';

///Singleton
FiltersDao filtersDao = FiltersDao();

class FiltersDao extends SuperDao<Filters> {
  @override
  Filters? load({String key = ''}) {
    return Filters().fromJsonString(SharedPreferencesUtils.getString(key));
  }

  @override
  void save({Filters? data, List<Filters>? dataList}) {
    if (data?.key != null && data != null) {
      SharedPreferencesUtils.putString(data.key!, data.toJsonString());
    }
  }
}
