import 'package:adeptarch_base/src/filters/filter.dart';
import 'package:json_annotation/json_annotation.dart';

part 'enum_filter.g.dart';

@JsonSerializable()
class EnumFilter extends Filter<EnumFilter, String> {
  EnumFilter({
    required String? param,
    SortMode? sortMode,
    FilterActionType? filterActionType,
  }) : super(
          param: param,
          sortMode: sortMode,
          filterActionType: filterActionType,
        );

  @override
  Map<String, dynamic> toJson() => _$EnumFilterToJson(this);
  @override
  EnumFilter? fromJsonMap(Map<String, dynamic>? json) =>
      json != null ? EnumFilter.fromJson(json) : null;
  factory EnumFilter.fromJson(Map<String, dynamic> json) =>
      _$EnumFilterFromJson(json);
}
