import 'package:adeptarch_base/src/filters/filters.dart';
import 'package:adeptarch_base/src/dao/filters_dao.dart';
import 'package:adeptarch_base/src/repository/super_repository.dart';

///Singleton
FiltersRepository filtersRepository = FiltersRepository();

class FiltersRepository
    extends SuperRepository<FiltersDao, Filters, Filters, int> {
  FiltersRepository() : super(filtersDao);

  @override
  Filters? loadSync({dynamic params}) {
    try {
      return dao.load(key: params);
    } catch (e) {
      print(e);
    }
    return null;
  }
}
