import 'package:adeptarch_base/src/filters/filters.dart';
import 'package:flutter/material.dart';

// ignore_for_file: must_be_immutable
abstract class BaseFilterView<T extends Filter> extends StatefulWidget {
  FilterController<T> filterController;
  bool allowSorting;
  String? hint;

  BaseFilterView({
    FilterController<T>? filterController,
    bool? allowSorting,
    this.hint,
  })  : filterController = filterController ?? FilterController<T>(),
        allowSorting = allowSorting ?? true;
}
